search/searchAsk AIget https://api.clerk.io/v2/search/searchSearch for products in the store with a ranking based on sales and behavioural data as well as keyword matching.Query ParamskeystringrequiredYou store API key.querystringrequiredThe search query.limitint32requiredNumber of results to be returned.visitorstringRequired for trackingVisitor ID for the given visitor. If auto, an anonymous ID is generated. See API documentation on Visitor Tracking for details.labelsarray of stringsRequired for trackingA list of one or more text labels, used to track the labels performance in Analytics.labelsADD stringfacetsarray of stringsList of facets to be returned for the products in the result. See API documentation on Facets for details.facetsADD stringlongtailbooleanDefaults to falseShould all products matching any word in the query be in the result.offsetint32Defaults to 0Offset into the result. See pagenation docs for a deeper specification on how to use pagenation.filterstringA attribute filter to filter the result. See API documentation on Filters for details.excludearray of stringsArray of product IDs to be excluded from the result. See API documentation on Filters for details.excludeADD stringorderbystringAttribute to order the results by.orderstringDefaults to ascShould the ordering from orderby be ascending (asc) or descending (desc).languagestringThe language used for finding results. If not provided, the language configured on the Store in my.clerk.io will be used.attributesarray of stringsProduct attributes to be provided in the response. See API documentation on Product Metadata for details.attributesADD stringcallbackstringJSONP - Wraps the response as a function call with the name of the string.debugbooleanDefaults to falseWhen true, the response will include a JSON dictionary of the various customisations made to the results shown by Synonyms, Customized Search, Merchandising etc.Response 200200Updated 10 months ago